[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBNavDataLink.ActiveChanged

ActiveChanged - method to process a change in the Active property of the navigator.

## Declaration

Source position: dbctrls.pp line 1463

`protected procedure TDBNavDataLink.ActiveChanged; override;`

## Description

ActiveChanged is an overridden procedure in TDBNavDataLink used to ensure that the Navigator control is updated when the value for the Active property has been changed.

Remark: | ActiveChanged does not call the inherited method.

## See also

TDBCustomNavigator.ActiveChanged |  | ActiveChanged - if datalink is active, calls DataChanged and EditingChanged.
TDataLink.Active